"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSecrets = void 0;

var _secretsmgr = _interopRequireDefault(require("../connectors/secretsmgr"));

let connector;

const getSecrets = async options => {
  // eslint-disable-line import/prefer-default-export

  /* istanbul ignore else */
  if (!connector) {
    connector = new _secretsmgr.default({
      secretId: `${process.env.PROJECT}/${process.env.STAGE}`,
      ...options
    });
  }

  const secrets = await connector.get();
  return { ...options,
    ...secrets
  };
};

exports.getSecrets = getSecrets;